language-c-0.6.1: Analysis and generation of C code

Copyright | (c) 2008 Benedikt Huber
License | BSD-style
Maintainer | benedikt.huber@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Language.C.System.GCC

Description

Invoking gcc for preprocessing and compiling.

Synopsis

- data GCC
- newGCC :: FilePath -> GCC

# Documentation

data GCC #

`GCC` represents a reference to the gcc compiler

Instances

Preprocessor GCC # |
Methods parseCPPArgs :: GCC -> [String] -> Either String (CppArgs, [String]) # runCPP :: GCC -> CppArgs -> IO ExitCode #

newGCC :: FilePath -> GCC #

create a reference to `gcc`